org.apache.avro.perf.test.record.jmh_generated

## Class ValidatingRecordTest_TestStateDecode_jmhType_B2

- java.lang.Object
- - org.apache.avro.perf.test.BasicState
  - - org.apache.avro.perf.test.record.ValidatingRecordTest.TestStateDecode
    - - org.apache.avro.perf.test.record.jmh_generated.ValidatingRecordTest_TestStateDecode_jmhType_B1
      - - org.apache.avro.perf.test.record.jmh_generated.ValidatingRecordTest_TestStateDecode_jmhType_B2

Direct Known Subclasses:
  ValidatingRecordTest_TestStateDecode_jmhType_B3

    public class ValidatingRecordTest_TestStateDecode_jmhType_B2
    extends ValidatingRecordTest_TestStateDecode_jmhType_B1

### Field Summary

Fields
`int` `setupInvocationMutex`
`static AtomicIntegerFieldUpdater<ValidatingRecordTest_TestStateDecode_jmhType_B2>` `setupInvocationMutexUpdater`
`int` `setupIterationMutex`
`static AtomicIntegerFieldUpdater<ValidatingRecordTest_TestStateDecode_jmhType_B2>` `setupIterationMutexUpdater`
`int` `setupTrialMutex`
`static AtomicIntegerFieldUpdater<ValidatingRecordTest_TestStateDecode_jmhType_B2>` `setupTrialMutexUpdater`
`int` `tearInvocationMutex`
`static AtomicIntegerFieldUpdater<ValidatingRecordTest_TestStateDecode_jmhType_B2>` `tearInvocationMutexUpdater`
`int` `tearIterationMutex`
`static AtomicIntegerFieldUpdater<ValidatingRecordTest_TestStateDecode_jmhType_B2>` `tearIterationMutexUpdater`
`int` `tearTrialMutex`
`static AtomicIntegerFieldUpdater<ValidatingRecordTest_TestStateDecode_jmhType_B2>` `tearTrialMutexUpdater`

### Fields inherited from class org.apache.avro.perf.test.BasicState

`BATCH_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`ValidatingRecordTest_TestStateDecode_jmhType_B2()`

### Method Summary

### Methods inherited from class org.apache.avro.perf.test.record.ValidatingRecordTest.TestStateDecode

`doSetupInvocation, doSetupTrial`

### Methods inherited from class org.apache.avro.perf.test.BasicState

`getBatchSize, getNullOutputStream, getRandom, newDecoder, newEncoder, newEncoder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### setupTrialMutex

    public volatile int setupTrialMutex

#### tearTrialMutex

    public volatile int tearTrialMutex

#### setupTrialMutexUpdater

    public static final AtomicIntegerFieldUpdater<ValidatingRecordTest_TestStateDecode_jmhType_B2> setupTrialMutexUpdater

#### tearTrialMutexUpdater

    public static final AtomicIntegerFieldUpdater<ValidatingRecordTest_TestStateDecode_jmhType_B2> tearTrialMutexUpdater

#### setupIterationMutex

    public volatile int setupIterationMutex

#### tearIterationMutex

    public volatile int tearIterationMutex

#### setupIterationMutexUpdater

    public static final AtomicIntegerFieldUpdater<ValidatingRecordTest_TestStateDecode_jmhType_B2> setupIterationMutexUpdater

#### tearIterationMutexUpdater

    public static final AtomicIntegerFieldUpdater<ValidatingRecordTest_TestStateDecode_jmhType_B2> tearIterationMutexUpdater

#### setupInvocationMutex

    public volatile int setupInvocationMutex

#### tearInvocationMutex

    public volatile int tearInvocationMutex

#### setupInvocationMutexUpdater

    public static final AtomicIntegerFieldUpdater<ValidatingRecordTest_TestStateDecode_jmhType_B2> setupInvocationMutexUpdater

#### tearInvocationMutexUpdater

    public static final AtomicIntegerFieldUpdater<ValidatingRecordTest_TestStateDecode_jmhType_B2> tearInvocationMutexUpdater

### Constructor Detail

#### ValidatingRecordTest_TestStateDecode_jmhType_B2

    public ValidatingRecordTest_TestStateDecode_jmhType_B2()